<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-projects-overview.qdoc -->
  <title>Managing Projects | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Managing Projects</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="qt-creator-accelbubble-example.html" />
  <link rel="next" href="creator-project-creating.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="qt-creator-accelbubble-example.html">Creating a Mobile Application</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-project-creating.html">Creating Projects</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#related-topics">Related Topics</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Managing Projects</h1>
<span class="subtitle"></span>
<!-- $$$creator-project-managing.html-description -->
<div class="descr"> <a name="details"></a>
<p class="centerAlign"><img src="images/creator_managingprojects.png" alt="" /></p><p>One of the major advantages of Qt Creator is that it allows a team of designers and developers to share a project across different development platforms with a common tool for design, development, and debugging.</p>
<ul>
<li><a href="creator-project-creating.html">Creating Projects</a><p>To set up a project, you first have to decide what kind of an application you want to develop: do you want a user interface based on Qt Quick or Qt widgets. Second, you have to choose the language to implement the application logic: C++ or JavaScript.</p>
</li>
<li><a href="creator-version-control.html">Using Version Control Systems</a><p>The recommended way to set up a project is to use a version control system. Store and edit only project source files and configuration files. Do not store generated files.</p>
</li>
<li><a href="creator-configuring-projects.html">Configuring Projects</a><p>Installation programs and project wizards create default configurations for Qt Creator and your projects. You can modify the settings in the Projects mode.</p>
</li>
<li><a href="creator-project-managing-sessions.html">Managing Sessions</a><p>Items such as open files, breakpoints, and evaluated expressions are stored in sessions. They are not considered to be part of the information shared across platforms.</p>
</li>
</ul>
<a name="related-topics"></a>
<h2 id="related-topics">Related Topics</h2>
<ul>
<li><a href="creator-project-other.html">Using Other Build Systems</a></li>
</ul>
</div>
<!-- @@@creator-project-managing.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="qt-creator-accelbubble-example.html">Creating a Mobile Application</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-project-creating.html">Creating Projects</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
